# OpenIdConsumerPositive Class Reference
[OpenId implementation]

Inheritance diagram for OpenIdConsumerPositive:
[legend]

List of all members.

## Public Member Functions

| __construct (HttpUrl $identity)
| getIdentity ()
| isOk ()

## Private Attributes

| $identity = null

## Detailed Description

Definition at line 15 of file OpenIdConsumerPositive.class.php.

## Constructor & Destructor Documentation

OpenIdConsumerPositive::__construct | ( | HttpUrl $ | identity | ) |

Definition at line 19 of file OpenIdConsumerPositive.class.php.

## Member Function Documentation

OpenIdConsumerPositive::getIdentity | ( |  | ) |

Returns:
  HttpUrl

Definition at line 27 of file OpenIdConsumerPositive.class.php.

OpenIdConsumerPositive::isOk | ( |  | ) |

Returns:
  bool

Implements OpenIdConsumerResult.

Definition at line 32 of file OpenIdConsumerPositive.class.php.

## Member Data Documentation

OpenIdConsumerPositive::$identity = null`[private]`

Definition at line 17 of file OpenIdConsumerPositive.class.php.

The documentation for this class was generated from the following file:

- main/OpenId/OpenIdConsumerPositive.class.php